/*
 * main.c
 *
 *  Created on: 19.09.2016
 *      Author: wn
 */

#include <msp430g2452.h>
#include <stdint.h>
#include <intrinsics.h>
#include <stdlib.h>
#include <stdbool.h>

#include "inverter.h"


int main() {
  WDTCTL = WDTPW | WDTHOLD;

  // highest possible system clock
  DCOCTL = DCO0 | DCO1 | DCO2;
  BCSCTL1 = XT2OFF | RSEL0 | RSEL1 | RSEL2 | RSEL3;
  BCSCTL2 = DIVS_1;
  BCSCTL3 = 0;


  inverterInit();

  __enable_interrupt();

  inverterSetFrequency(50);

  while (1) {
  }
}



